<?php 
    $wp_customize->add_section(
        'features_area',
        array(
            'title' => __( 'Feature Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );

    $wp_customize->add_setting(
        'features_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'features_area_disable',
            array(
                'settings'      => 'features_area_disable',
                'section'       => 'features_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'featuresus', 'features_area', $color='#fff', get_template_directory_uri().'/images/default.png', 'img');

lzCustomLable($wp_customize, 'featuresarea_padding', 'features_area', 'Section Padding');

$wp_customize->add_setting(
    'features_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaTpadding',
    array(
        'settings'      => 'features_areaTpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'features_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'features_areaBpadding',
    array(
        'settings'      => 'features_areaBpadding',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

$wp_customize->add_setting(
    'fea_maintitle_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'fea_maintitle_subtitle_heading',
        array(
            'settings'      => 'fea_maintitle_subtitle_heading',
            'section'       => 'features_area',
            'label'         => __( 'Section Heading', 'luzuk' ),
        )
    )
);

$wp_customize->add_setting(
    'fea_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Plumbing Solutions', 'luzuk' )
    )
);
$wp_customize->add_control(
    'fea_maintitle',
    array(
        'settings'      => 'fea_maintitle',
        'section'       => 'features_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'luzuk' )
    )
);


$wp_customize->add_setting(
    'fea_subtitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'You Can Rely On', 'luzuk' )
    )
);
$wp_customize->add_control(
    'fea_subtitle',
    array(
        'settings'      => 'fea_subtitle',
        'section'       => 'features_area', 
        'type'          => 'text',
        'label'         => __( 'Section Heading Some Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'features_area_heading', 'features_area', 'Section Heading Color', '#111944');

$wp_customize->add_setting(
    'fea_txt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration. in some form, by injected humour, or randomised words . which do not look even slightly believable. If you are going ', 'luzuk' )
    )
);
$wp_customize->add_control(
    'fea_txt',
    array(
        'settings'      => 'fea_txt',
        'section'       => 'features_area', 
        'type'          => 'textarea',
        'label'         => __( 'Section Text', 'luzuk' )
    )
);

addColorPalatOption($wp_customize, 'features_ltxt', 'features_area', 'Section Text Color', '#111944');

lzCustomLable($wp_customize, 'abtbtn', 'features_area' , 'Section Button');

$wp_customize->add_setting(
    'feabtntxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Explore more' )
    )
);
$wp_customize->add_control(
    'feabtntxt',
    array(
        'settings'      => 'feabtntxt',
        'section'       => 'features_area',
        'type'          => 'text',
        'label'         => __( 'Section Button Text', 'luzuk-premium' )
    )
);
$wp_customize->add_setting('feabtnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('feabtnlink',
    array(
        'settings'      => 'feabtnlink',
        'section'       => 'features_area',
        'type'          => 'url',
        'label'         => __( 'Add "Button" link here', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'features_btntxtARclr', 'features_area', 'Button Text Arrow Color', '#F4B504');

addColorPalatOption($wp_customize, 'features_btntxtclr', 'features_area', 'Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'features_btntxthvclr', 'features_area', 'Button Text Hover Color', '#111944');

addColorPalatOption($wp_customize, 'features_btnBGclr', 'features_area', 'Button BG Color', '#111944');

addColorPalatOption($wp_customize, 'features_btnBGhvclr', 'features_area', 'Button BG Hover Color', '#F4B504');

lzCustomLable($wp_customize, 'abtright', 'features_area' , 'Right Side');

$wp_customize->add_setting('featuresus_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'featuresus_npp_heading',
        array(
            'settings'      => 'featuresus_npp_heading',
            'section'       => 'features_area',
            'label'         => __( 'Number Of Feature Box ', 'luzuk-premium' ),
        )
    )
);    
$wp_customize->add_setting('featuresus_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 1));
$wp_customize->add_control(
    'featuresus_npp_count',
    array(
        'settings'      => 'featuresus_npp_count',
        'section'       => 'features_area',
        'type'          => 'select',
        'label'         => __( 'Number Of Feature Box To Show ', 'luzuk-premium' ),
        'choices'=>array(1,2,3,4)
    )
);

//features PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'featuresus_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'featuresus_header'.$i,
            array(
                'settings'      => 'featuresus_header'.$i,
                'section'       => 'features_area',
                'label'         => __( 'Feature Box ', 'luzuk-premium' ).$i
            )
        )
    );

    //  $wp_customize->add_setting(
    //     'featuresus_page_icon'.$i,
    //     array(
    //         'default'           => 'fa fa-podcast',
    //         'sanitize_callback' => 'luzuk_sanitize_text'
    //     )
    // );        
    // $wp_customize->add_control(
    //     new luzuk_Fontawesome_Icon_Chooser(
    //         $wp_customize,
    //         'featuresus_page_icon'.$i,
    //         array(
    //             'settings'      => 'featuresus_page_icon'.$i,
    //             'section'       => 'features_area',
    //             'type'          => 'icon',
    //             'label'         => __( 'FontAwesome Icon', 'luzuk-premium' ),
    //         )
    //     )
    // );
lzAddImageElement($wp_customize, 'featuresus_page_icon'.$i, 'features_area', $label="Recommended Image Size: 270X175px");

lzAddElement($wp_customize, 'featuresus_page_title'.$i, 'features_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Quick Response Times');

lzAddElement($wp_customize, 'featuresus_page_text'.$i, 'features_area', $type = 'textarea', $label="Text", $callback ='luzuk_sanitize_text', $default='There are many variations of passages of Lorem Ipsum');

lzAddElement($wp_customize, 'fea_rbtn'.$i, 'features_area', $type = 'text', $label="Button Text", $callback ='luzuk_sanitize_text', $default='Explore more');

lzAddElement($wp_customize, 'luzuk_features_page_url_'.$i, 'features_area', $type = 'text', $label=" Link", $callback ='esc_url', $default='Add link here');


}


lzCustomLable($wp_customize, 'featuresarea_clr', 'features_area', 'Feature Section Color');

addColorPalatOption($wp_customize, 'features_area_pagetitle', 'features_area', 'Title Color', '#111944');

addColorPalatOption($wp_customize, 'features_textclr', 'features_area', 'Text Color', '#000');

addColorPalatOption($wp_customize, 'features_rbunbrdclr', 'features_area', 'Button Border Color', '#111944');

addColorPalatOption($wp_customize, 'features_rbunarwclr', 'features_area', 'Button Border Arrow Color', '#F4B504');

addColorPalatOption($wp_customize, 'features_rbuntxtclr', 'features_area', 'Button Text Color', '#111944');

addColorPalatOption($wp_customize, 'features_rbuntxthvclr', 'features_area', 'Button Text Hover Color', '#fff');

addColorPalatOption($wp_customize, 'features_rbunbghvclr', 'features_area', 'Button Text BG Hover Color', '#F4B504');